#ifndef LIBDUFF_VLINT_HPP_INCLUDED
#define LIBDUFF_VLINT_HPP_INCLUDED


#include"duff_stream.hpp"
#include<cinttypes>
#include<limits>




namespace libduff{


using vlintmax_t = uint32_t;

#define PRIdVL PRId32
#define PRIuVL PRIu32
#define PRIxVL PRIx32
#define PRIXVL PRIX32


enum{
  VLINT_MAX = std::numeric_limits<vlintmax_t>::max()
};


size_t  get_vlint_size(vlintmax_t  i);

void        put_vlint(Stream&  s, vlintmax_t  i);
vlintmax_t  get_vlint(Stream&  s               );


}




#endif




